class OverseerHistoryListBo {
  OverseerHistoryListBo({
    this.data,
    this.count,
  });

  OverseerHistoryListBo.fromJson(dynamic json) {
    if (json['data'] != null) {
      data = [];
      json['data'].forEach((v) {
        data?.add(HistoryListData.fromJson(v));
      });
    }
    count = json['count'];
  }

  List<HistoryListData>? data;
  int? count;

  OverseerHistoryListBo copyWith({
    List<HistoryListData>? data,
    int? count,
  }) =>
      OverseerHistoryListBo(
        data: data ?? this.data,
        count: count ?? this.count,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    if (data != null) {
      map['data'] = data?.map((v) => v.toJson()).toList();
    }
    map['count'] = count;
    return map;
  }
}

class HistoryListData {
  HistoryListData({
    this.officeName,
    this.incomplete,
    this.officeId,
    this.typeName,
    this.count,
    this.typeId,
    this.id,
    this.state,
    this.complete,
    this.createDate,
  });

  HistoryListData.fromJson(dynamic json) {
    officeName = json['officeName'];
    incomplete = json['incomplete'];
    officeId = json['officeId'];
    typeName = json['typeName'];
    count = json['count'];
    typeId = json['typeId'];
    id = json['id'];
    state = json['state'];
    complete = json['complete'];
    createDate = json['createDate'];
  }

  String? officeName;
  int? incomplete;
  String? officeId;
  String? typeName;
  int? count;
  String? typeId;
  String? id;
  String? state;
  int? complete;
  int? createDate;

  HistoryListData copyWith({
    String? officeName,
    int? incomplete,
    String? officeId,
    String? typeName,
    int? count,
    String? typeId,
    String? id,
    String? state,
    int? complete,
    int? createDate,
  }) =>
      HistoryListData(
        officeName: officeName ?? this.officeName,
        incomplete: incomplete ?? this.incomplete,
        officeId: officeId ?? this.officeId,
        typeName: typeName ?? this.typeName,
        count: count ?? this.count,
        typeId: typeId ?? this.typeId,
        id: id ?? this.id,
        state: state ?? this.state,
        complete: complete ?? this.complete,
        createDate: createDate ?? this.createDate,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['officeName'] = officeName;
    map['incomplete'] = incomplete;
    map['officeId'] = officeId;
    map['typeName'] = typeName;
    map['count'] = count;
    map['typeId'] = typeId;
    map['id'] = id;
    map['state'] = state;
    map['complete'] = complete;
    map['createDate'] = createDate;
    return map;
  }
}
